| libimobiledevice 1.3.0-dirty API Documentation - Return to Homepage

- About
- Structs
- Files
- Related Pages

- File List
- Globals

Macros | Typedefs | Enumerations | Functions
mobilebackup2.h File Reference

## Description

Backup and restore of all device data (mobilebackup2, iOS4+ only)

## Macros
#define | MOBILEBACKUP2_SERVICE_NAME "com.apple.mobilebackup2"
| Service identifier passed to lockdownd_start_service() to start the mobilebackup2 service.

## Typedefs
typedef mobilebackup2_client_private * | mobilebackup2_client_t
| The client handle.

## Enumerations
enum | mobilebackup2_error_t { MOBILEBACKUP2_E_SUCCESS = 0 , MOBILEBACKUP2_E_INVALID_ARG = -1 , MOBILEBACKUP2_E_PLIST_ERROR = -2 , MOBILEBACKUP2_E_MUX_ERROR = -3 , MOBILEBACKUP2_E_SSL_ERROR = -4 , MOBILEBACKUP2_E_RECEIVE_TIMEOUT = -5 , MOBILEBACKUP2_E_BAD_VERSION = -6 , MOBILEBACKUP2_E_REPLY_NOT_OK = -7 , MOBILEBACKUP2_E_NO_COMMON_VERSION = -8 , MOBILEBACKUP2_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions
mobilebackup2_error_t | mobilebackup2_client_new (idevice_t device, lockdownd_service_descriptor_t service, mobilebackup2_client_t *client)
| Connects to the mobilebackup2 service on the specified device.
mobilebackup2_error_t | mobilebackup2_client_start_service (idevice_t device, mobilebackup2_client_t *client, const char *label)
| Starts a new mobilebackup2 service on the specified device and connects to it.
mobilebackup2_error_t | mobilebackup2_client_free (mobilebackup2_client_t client)
| Disconnects a mobilebackup2 client from the device and frees up the mobilebackup2 client data.
mobilebackup2_error_t | mobilebackup2_send_message (mobilebackup2_client_t client, const char *message, plist_t options)
| Sends a backup message plist.
mobilebackup2_error_t | mobilebackup2_receive_message (mobilebackup2_client_t client, plist_t *msg_plist, char **dlmessage)
| Receives a DL* message plist from the device.
mobilebackup2_error_t | mobilebackup2_send_raw (mobilebackup2_client_t client, const char *data, uint32_t length, uint32_t *bytes)
| Send binary data to the device.
mobilebackup2_error_t | mobilebackup2_receive_raw (mobilebackup2_client_t client, char *data, uint32_t length, uint32_t *bytes)
| Receive binary from the device.
mobilebackup2_error_t | mobilebackup2_version_exchange (mobilebackup2_client_t client, double local_versions[], char count, double *remote_version)
| Performs the mobilebackup2 protocol version exchange.
mobilebackup2_error_t | mobilebackup2_send_request (mobilebackup2_client_t client, const char *request, const char *target_identifier, const char *source_identifier, plist_t options)
| Send a request to the connected mobilebackup2 service.
mobilebackup2_error_t | mobilebackup2_send_status_response (mobilebackup2_client_t client, int status_code, const char *status1, plist_t status2)
| Sends a DLMessageStatusResponse to the device.